<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Список произведений</title>
</head>

<body>
    {% extends "base_generic.html" %} {% block content %}
    <h1>Список произведений:</h1>

    {% if p_bk_lst%}
    <ul>
        <!--запрашивает request информацию во view.py из одноимённой переменной-->
        {% for bbbb in p_bk_lst %}
        <li>

            <a href="{{ bbbb.get_absolute_url }}">{{ bbbb.title }}</a> ({{bbbb.author}})
        </li>
        {% endfor %}
        <hr>
        <div class="btn-group">
            <a href="">
                <button type="button" class="btn btn-sm btn-outline-secondary">Добавить произведение</button>
            </a>
        </div>
        <hr>
        <div class="pagination">
            <span class="page-links">
                {% if p_bk_lst.has_previous %}
                <a href="{{ request.path }}?page={{ p_bk_lst.previous_page_number }}">Предыдущая</a> {% endif %}
                            <span class="page-current">
                                Page {{ p_bk_lst.number }} of {{ p_bk_lst.paginator.num_pages }}.
                            </span> {% if p_bk_lst.has_next %}
            <a href="{{ request.path }}?page={{ p_bk_lst.next_page_number }}">Следующая</a> {% endif %}
            </span>
        </div>

    </ul>
    {% else %}
    <p>Здесь пусто. У нас ничего нет.</p>
    {% endif %} {% endblock %}
</body>

</html>